# Class FixedColorKit

java.lang.Object
uk.ac.starlink.ttools.plot2.layer.FixedColorKit

All Implemented Interfaces:
  `ColorKit`

public class FixedColorKit extends Object implements ColorKit
Trivial ColorKit implementation that always returns the same colour.

Since:
  23 Jul 2018
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`FixedColorKit(Color color)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Color`
`readColor(Tuple tuple)`
Acquires a colour appropriate for a given tuple.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FixedColorKit

public FixedColorKit(Color color)
Constructor.

Parameters:
  `color` - colour

## Method Details

### readColor

public Color readColor(Tuple tuple)
Description copied from interface: `ColorKit`
Acquires a colour appropriate for a given tuple.

Specified by:
  `readColor` in interface `ColorKit`
Parameters:
  `tuple` - tuple
Returns:
  plotting colour, or null to omit point